Bug 1488769 (CVE-2017-5716) - CVE-2017-5716 connman: Buffer overflow in connection manager daemon
Summary: CVE-2017-5716 connman: Buffer overflow in connection manager daemon
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-5716
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1488770 1488771
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-06 08:01 UTC by Andrej Nemec
Modified: 2021-02-17 01:37 UTC (History)
1 user (show)

Fixed In Version: connman 1.35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:24:17 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-09-06 08:01:29 UTC
ConnMan Version 1.34 and earlier is vulnerable to a buffer overflow in the connection manager daemon (connmand) resulting in denial of service and potential remote code execution. Malformed DNS packet can result in a buffer overflow in the connection manager daemon’s DNS proxy service, resulting in service crash or remote code execution at the privilege of the service. The connection manager is not vulnerable if it is running with DNS proxy disabled (default is enabled).

External References:

https://01.org/security/advisories/intel-oss-10001

Comment 1 Andrej Nemec 2017-09-06 08:01:55 UTC
Created connman tracking bugs for this issue:

Affects: epel-7 [bug 1488771]
Affects: fedora-all [bug 1488770]

Comment 2 Product Security DevOps Team 2019-06-08 03:24:17 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.